// chapitre 2 pointeur variable.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

void maj(char* c)
{
	printf("avant c=%c\n",*c);
	if(*c>='a' && *c<='z')
		*c=*c-('a'-'A');
	printf("apres c=%c\n",*c);
}

int _tmain(int argc, _TCHAR* argv[])
{
	char x='a';
	maj(&x);
	printf("finalement, x=%c\n",x);
	return 0;
}

